import { Observable } from 'rxjs';
export declare class NavItemService {
    parent: NavItemService;
    isOpen: Observable<boolean>;
    hasMenu: Observable<boolean>;
    private openEvent;
    private hasMenuEvent;
    constructor(parent: NavItemService);
    change(state: boolean): void;
    publishMenu(b: boolean): void;
}
